# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import dlcmapi_client
from dlcmapi_client.models.index_field_alias import IndexFieldAlias  # noqa: E501
from dlcmapi_client.rest import ApiException

class TestIndexFieldAlias(unittest.TestCase):
    """IndexFieldAlias unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test IndexFieldAlias
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = dlcmapi_client.models.index_field_alias.IndexFieldAlias()  # noqa: E501
        if include_optional :
            return IndexFieldAlias(
                links = None, 
                alias = '0', 
                creation = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                facet = True, 
                facet_default_visible_values = 1.337, 
                facet_limit = 1.337, 
                facet_min_count = 1.337, 
                facet_order = 1.337, 
                field = '0', 
                index_name = '0', 
                labels = [
                    '0'
                    ], 
                last_update = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                res_id = '0', 
                system = True
            )
        else :
            return IndexFieldAlias(
        )

    def testIndexFieldAlias(self):
        """Test IndexFieldAlias"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
